// PROPER MOD - PROPER_World - by the-F and Q (contact_PROPER_MOD@web.de)

// PROPER_World_Configuration

#ifndef PROPER_WATER_COLOR_SET
// Water
#define PROPER_WATER_AMBIENT			0.016, 0.0264, 0.04, 0.4	/* 0.016, 0.0264, 0.04, 0.4 */
#define PROPER_WATER_DIFFUSE			0.032, 0.128, 0.128, 1.0	/* 0.032, 0.128, 0.128, 1.0 */

// Shore
#define PROPER_SHORE_AMBIENT			0.016, 0.0264, 0.04, 0.4	/* 0.016, 0.0264, 0.04, 0.4 */
#define PROPER_SHORE_DIFFUSE			0.032, 0.128, 0.128, 1.0	/* 0.032, 0.128, 0.128, 1.0 */

// Shorefoam
#define PROPER_SHOREFOAM_AMBIENT		0.016, 0.0264, 0.04, 0.4	/* 0.016, 0.0264, 0.04, 0.4 */
#define PROPER_SHOREFOAM_DIFFUSE		0.032, 0.128, 0.128, 1.0	/* 0.032, 0.128, 0.128, 1.0 */
#endif


// Water
#define PROPER_WATER_FORCEDDIFFUSE		0, 0, 0, 0		/* 0, 0, 0, 0 */
#define PROPER_WATER_SPECULAR			1, 1, 1, 0		/* 1, 1, 1, 0 */
#define PROPER_WATER_SPECULARPOWER		4			/* 4 */
#define PROPER_WATER_EMMISIVE			0, 0, 0, 0		/* 0, 0, 0, 0 */

// Shore
#define PROPER_SHORE_FORCEDDIFFUSE		0, 0, 0, 0		/* 0, 0, 0, 0 */
#define PROPER_SHORE_SPECULAR			1, 1, 1, 0		/* 1, 1, 1, 0 */
#define PROPER_SHORE_SPECULARPOWER		4			/* 4 */
#define PROPER_SHORE_EMMISIVE			0, 0, 0, 0		/* 0, 0, 0, 0 */


// Shorefoam
#define PROPER_SHOREFOAM_FORCEDDIFFUSE		0, 0, 0, 0		/* 0, 0, 0, 0 */
#define PROPER_SHOREFOAM_SPECULAR		1, 1, 1, 0		/* 1, 1, 1, 0 */
#define PROPER_SHOREFOAM_SPECULARPOWER		4			/* 4 */
#define PROPER_SHOREFOAM_EMMISIVE		0, 0, 0, 0		/* 0, 0, 0, 0 */


// Terrain
#define PROPER_TERRAIN_AMBIENT			1, 1, 1, 1		/* 1, 1, 1, 1 */
#define PROPER_TERRAIN_DIFFUSE			0.6, 0.6, 0.6, 1	/* 0.6, 0.6, 0.6, 1 */

#define PROPER_TERRAIN_FORCEDDIFFUSE		0.05, 0.05, 0.05, 1	/* 0.05, 0.05, 0.05, 1 */
#define PROPER_TERRAIN_SPECULAR			0.0, 0.0, 0.0, 0	/* 0.0, 0.0, 0.0, 0 */
#define PROPER_TERRAIN_SPECULARPOWER		1			/* 1 */
#define PROPER_TERRAIN_EMMISIVE			0, 0, 0, 0		/* 0, 0, 0, 0 */


// Specularglass
#define PROPER_SPECULARGLASS_AMBIENT		1, 1, 1, 1		/* 1, 1, 1, 1 */
#define PROPER_SPECULARGLASS_DIFFUSE		1, 1, 1, 1		/* 1, 1, 1, 1 */

#define PROPER_SPECULARGLASS_FORCEDDIFFUSE	0, 0, 0, 0		/* 0, 0, 0, 0 */
#define PROPER_SPECULARGLASS_SPECULAR		0.5, 0.5, 0.8, 0	/* 0.5, 0.5, 0.8, 0 */
#define PROPER_SPECULARGLASS_SPECULARPOWER	5			/* 5 */
#define PROPER_SPECULARGLASS_EMMISIVE		0, 0, 0, 0		/* 0, 0, 0, 0 */


// Metal
#define PROPER_METAL_AMBIENT			1, 1, 1, 1		/* 1, 1, 1, 1 */
#define PROPER_METAL_DIFFUSE			1, 1, 1, 1		/* 1, 1, 1, 1 */

#define PROPER_METAL_FORCEDDIFFUSE		0, 0, 0, 0		/* 0, 0, 0, 0 */
#define PROPER_METAL_SPECULAR			0.2, 0.2, 0.2, 0	/* 0.2, 0.2, 0.2, 0 */
#define PROPER_METAL_SPECULARPOWER		5			/* 5 */
#define PROPER_METAL_EMMISIVE			0, 0, 0, 0		/* 0, 0, 0, 0 */


// Riflemetal
#define PROPER_RIFLEMETAL_AMBIENT		1, 1, 1, 1		/* 1, 1, 1, 1 */
#define PROPER_RIFLEMETAL_DIFFUSE		1, 1, 1, 1		/* 1, 1, 1, 1 */

#define PROPER_RIFLEMETAL_FORCEDDIFFUSE		0, 0, 0, 0		/* 0, 0, 0, 0 */
#define PROPER_RIFLEMETAL_SPECULAR		0.2, 0.2, 0.2, 0	/* 0.2, 0.2, 0.2, 0 */
#define PROPER_RIFLEMETAL_SPECULARPOWER		5			/* 5 */
#define PROPER_RIFLEMETAL_EMMISIVE		0, 0, 0, 0		/* 0, 0, 0, 0 */
