// PROPER MOD - PROPER_World - by the-F and Q (contact_PROPER_MOD@web.de)

// PROPER_World_Configuration

////Sara
//GrassGeneral		"ca\plants\clutter_grass_general.p3d";
//GrassFlowers		"ca\plants\clutter_grass_flowers.p3d";
//GrassLong		"ca\plants\clutter_grass_long.p3d";
//GrassSevenbeauty	"ca\plants\clutter_grass_sevenbaeuty.p3d";
//GrassYellow		"ca\plants\clutter_grass_yellow.p3d";
//GrassDesert		"ca\plants\clutter_grass_desert.p3d";
//ForestFern		"ca\plants\clutter_forest_fern.p3d";
//SmallRocks		"ca\rocks\clutter_stone_small.p3d";
//FlowersColor		"ca\plants\clutter_smetanka.p3d";
//FlowersWhite		"ca\plants\clutter_white_flower.p3d";
//MushroomsHorcak	"ca\plants\clutter_horcak.p3d";
//MushroomsPrasivka	"ca\plants\clutter_prasivky.p3d";
//MushroomsBabka	"ca\plants\clutter_babka.p3d";
//MushroomsMuchomurka	"ca\plants\clutter_muchomurka.p3d";

////1.14 Sara fix
//GrassGeneralFix	"ca\hotfix\ClutterFix_Grass_General.p3d";
//GrassLongFix		"ca\hotfix\ClutterFix_Grass_Long.p3d";

////Porto
//GrassGeneral		"ca\plants\clutter_grass_general.p3d";
//D2SmallRocks		"ca\desert2\data\plant\Clutter_d2_StoneSmall.p3d";
//D2TropicGrassLong	"ca\desert2\data\plant\Clutter_d2_GrassLong.p3d";
//D2TropicGrass		"ca\desert2\data\plant\Clutter_d2_GrassShort.p3d";

////1.14 hotfix
//FxWindGrass1		"\ca\hotfix\cl_grass1.p3d";
//FxWindGrass2		"\ca\hotfix\cl_grass2.p3d";
//FxWindRock1		"\ca\hotfix\cl_rock1.p3d";
//FxWindLeaf1		"\ca\hotfix\cl_leaf.p3d";
//FxWindLeaf2		"\ca\hotfix\cl_leaf2.p3d";
//FxWindLeaf3		"\ca\hotfix\cl_leaf3.p3d";
//FxWindPollen1		"\ca\hotfix\cl_feathers2.p3d";

class GrassGeneral: DefaultClutter
{
	model = "ca\plants\clutter_grass_general.p3d";
//	model = "ca\plants\clutter_grass_general.p3d";
	affectedByWind = PROPER_WORLD_ACE_ISLAND_TORMENT_VALLEY_AFFECTEDBYWIND_PERCENTAGE * 0.3; // 0.3
	swLighting = 1;
	scaleMin = 0.75; // 0.75
	scaleMax = 1.0; // 1.0
};
class GrassFlowers: GrassGeneral
{
	model = "ca\plants\clutter_grass_flowers.p3d";
//	model = "ca\plants\clutter_grass_flowers.p3d";
	scaleMin = 0.75; // 0.75
	scaleMax = 1.0; // 1.0
};
class GrassLong: GrassGeneral
{
	model = "ca\plants\clutter_grass_long.p3d";
//	model = "ca\plants\clutter_grass_long.p3d";
	affectedByWind = PROPER_WORLD_ACE_ISLAND_TORMENT_VALLEY_AFFECTEDBYWIND_PERCENTAGE * 0.6; // 0.6
	scaleMin = 0.6; // 0.6
	scaleMax = 1.1; // 1.1
};
class GrassSevenbeauty: GrassGeneral
{
	model = "ca\plants\clutter_grass_sevenbaeuty.p3d";
//	model = "ca\plants\clutter_grass_sevenbaeuty.p3d";
	affectedByWind = PROPER_WORLD_ACE_ISLAND_TORMENT_VALLEY_AFFECTEDBYWIND_PERCENTAGE * 0.1; // 0.1
	scaleMin = 0.7; // 0.7
	scaleMax = 1.1; // 1.1
};
class GrassYellow: GrassGeneral
{
	model = "ca\plants\clutter_grass_yellow.p3d";
//	model = "ca\plants\clutter_grass_yellow.p3d";
	affectedByWind = PROPER_WORLD_ACE_ISLAND_TORMENT_VALLEY_AFFECTEDBYWIND_PERCENTAGE * 0.1; // 0.1
	scaleMin = 0.7; // 0.7
	scaleMax = 1.1; // 1.1
};
class GrassDesert: GrassGeneral
{
	model = "ca\plants\clutter_grass_desert.p3d";
//	model = "ca\plants\clutter_grass_desert.p3d";
	scaleMin = 0.75; // 0.75
	scaleMax = 1.0; // 1.0
};
class GrassGeneralFix: DefaultClutter
{
	model = "ca\hotfix\ClutterFix_Grass_General.p3d";
//	model = "ca\hotfix\ClutterFix_Grass_General.p3d";
	affectedByWind = PROPER_WORLD_ACE_ISLAND_TORMENT_VALLEY_AFFECTEDBYWIND_PERCENTAGE * 0.3; // 0.3
	swLighting = 1; // 1
	scaleMin = 0.8; // 0.8
	scaleMax = 1.0; // 1.0
};
class GrassLongFix: GrassGeneralFix
{
	model = "ca\hotfix\ClutterFix_Grass_Long.p3d";
//	model = "ca\hotfix\ClutterFix_Grass_Long.p3d";
	affectedByWind = PROPER_WORLD_ACE_ISLAND_TORMENT_VALLEY_AFFECTEDBYWIND_PERCENTAGE * 0.5; // 0.5
	scaleMin = 0.6; // 0.6
	scaleMax = 1.0; // 1.0
};
class D2TropicGrassLong: GrassGeneral
{
	model = "ca\desert2\data\plant\Clutter_d2_GrassLong.p3d";
//	model = "ca\desert2\data\plant\Clutter_d2_GrassLong.p3d";
	affectedByWind = PROPER_WORLD_ACE_ISLAND_TORMENT_VALLEY_AFFECTEDBYWIND_PERCENTAGE * 0.8; // 0.8
	scaleMin = 0.9; // 0.9
	scaleMax = 1.25; // 1.25
};
class D2TropicGrass: GrassGeneral
{
	model = "ca\desert2\data\plant\Clutter_d2_GrassShort.p3d";
//	model = "ca\desert2\data\plant\Clutter_d2_GrassShort.p3d";
	affectedByWind = PROPER_WORLD_ACE_ISLAND_TORMENT_VALLEY_AFFECTEDBYWIND_PERCENTAGE * 0.7; // 0.7
	scaleMin = 1; // 1
	scaleMax = 1.8; // 1.8
};